装箱任务 - 批量编辑装箱信息
POST
/basicOpen/packingTask/batchEditPackingBox装箱任务-批量编辑装箱信息
接口信息
| API Path | 请求协议 | 请求方式 | 令牌桶容量 |
|---|---|---|---|
/basicOpen/packingTask/batchEditPackingBox | HTTPS | POST | 1 |
请求参数
snValuestring必填listarray<object>必填隐藏子属性
customBoxIdstring必填boxLengthstring必填boxWidthstring必填boxHeightstring必填boxWeightstring必填boxNuminteger必填ptbIdstring必填boxProductarray<object>必填隐藏子属性
quantityInCaseinteger必填ptpiIdstring必填fnskustring必填flaginteger必填请求cURL示例
curl --location 'https://openapi.lingxing.com/basicOpen/packingTask/batchEditPackingBox?access_token=value×tamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '
{
"snValue": "PL260423001",
"list": [
{
"customBoxId": "BOX001",
"boxLength": "10.00",
"boxWidth": "10.00",
"boxHeight": "20.00",
"boxWeight": "5.00",
"boxNum": 1,
"ptbId": "250693132348194816",
"boxProduct": [
{
"quantityInCase": 2,
"ptpiId": "250693129738747904",
"fnsku":"abc-1"
}
]
}
],
"flag": 1
}'
返回结果
JSON Object
codeinteger必填messagestring必填error_detailsarray<any>必填request_idstring必填response_timestring必填dataobject必填返回成功示例
{
"code":0,
"message":"success",
"error_details":[],
"request_id":"a0d54debf93140f3b58d1ed81e8e3583",
"response_time":"2026-04-23 12:00:00",
"data":{}
}```